## org.eclipse.datatools.sqltools.core
Interface IControlConnectionListener

All Superinterfaces:
  java.util.EventListener

public interface IControlConnectionListener
extends java.util.EventListener

Clients that are interested in the control connection lifecycle events can implement this interface.

Author:
  Yang Liu, Hui Cao
See Also:
  `IControlConnectionManager`, `IControlConnection`

Method Summary
`void` `controlConnectionAdded(IControlConnection con)` A new control connection is created and added into the control connection manager
`void` `controlConnectionDetached(IControlConnection con)` The control connection is destroyed and removed from the control connection manager
`void` `controlConnectionRefreshed(IControlConnection con)` The control connection has changed its status
`void` `controlConnectionRefreshed(IControlConnection con, ProcIdentifier proc)` The routine object `proc` which is managed by the control connection has changed.

Method Detail

### controlConnectionAdded

    public void controlConnectionAdded(IControlConnection con)

  A new control connection is created and added into the control connection manager

  Parameters:
    `con` - the control connection

### controlConnectionDetached

    public void controlConnectionDetached(IControlConnection con)

  The control connection is destroyed and removed from the control connection manager

  Parameters:
    `con` - the control connection

### controlConnectionRefreshed

    public void controlConnectionRefreshed(IControlConnection con)

  The control connection has changed its status

  Parameters:
    `con` - the control connection

### controlConnectionRefreshed

    public void controlConnectionRefreshed(IControlConnection con,
                                           ProcIdentifier proc)

  The routine object `proc` which is managed by the control connection has changed.

  Parameters:
    `con` - the control connection

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.